<?php
require'f_grup.php';
$titlu='Editeaza grup '.$pnume;
require'f_sus.php';
if($de==$pinfo[1]||in_array($de,$id_proprietari))
{
require'f_mut.php';
$clnm=$_POST['clnm'];
$clds=$_POST['clds'];
$clrl=$_POST['clrl'];
require'f_blocat.php';
if(blocat($clnm))
{
$tip='text nume grup';
$text=$clnm;
require'f_ban.php';
}
elseif(blocat($clds))
{
$tip='text descriere grup';
$text=$clds;
require'f_ban.php';
}
elseif(blocat($clrl))
{
$tip='text reguli grup';
$text=$clrl;
require'f_ban.php';
}
elseif(($clnm=='')||($clds=='')||($clrl==''))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Completeaza cu atenție toate campurile necesare!';
elseif($conn->query('UPDATE`grupuri`SET`nume`="'.$clnm.'",`descriere`="'.$clds.'",`reguli`="'.$clrl.'"WHERE`id`="'.$pid.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a editat grupul [url=/grup/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Detalii grup editate!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai permisiuni pentru a edita acest grup!';
echo$div[0];
require'f_jos.php';